Subject: xpdf 4.03 not displaying toolbar buttons

From: Emilia Blåsten <[email-masked]>
Date: Sat, 07 May 2022 20:13:22 -0300

Dear developers,

I installed xpdf (version 4.03) and do not see the icons of the toolbar
buttons. See the attached screenshot. Also, when I start it, it gives
the following errors:

Config Error: No display font for 'Courier'
Config Error: No display font for 'Courier-Bold'
Config Error: No display font for 'Courier-BoldOblique'
Config Error: No display font for 'Courier-Oblique'
Config Error: No display font for 'Helvetica'
Config Error: No display font for 'Helvetica-Bold'
Config Error: No display font for 'Helvetica-BoldOblique'
Config Error: No display font for 'Helvetica-Oblique'
Config Error: No display font for 'Symbol'
Config Error: No display font for 'Times-Bold'
Config Error: No display font for 'Times-BoldItalic'
Config Error: No display font for 'Times-Italic'
Config Error: No display font for 'Times-Roman'
Config Error: No display font for 'ZapfDingbats'

I do have font families installed which give the Courier font, for
example font-liberation version 2.1.5. I do not see an .xpdfrc file
anywhere. It is mentioned in several forums in relation to the above
error messages. Apparently that file should point to paths of files
providing those fonts.

I started using GuixSD a week ago, and so I do not know what would be
the correct way of having ~/.xpdfrc point to the correct font files such
that those links would not break when the fonts and their paths upgrade.

Best regards,
Emilia